# Multi-Interval Technical Analysis

Retrieve multi-interval technical analysis (TA) data for specified tokens using token IDs, addresses, or tickers. This endpoint returns key indicators such as support and resistance levels, RSI (Relative Strength Index), and SMA (Simple Moving Average) across various timeframes, enabling data-driven trading decisions and trend analysis for following time intervals:

* 5 minutes
* 15 minutes
* 1 hour
* 4 hours
* 1 day (24 hours)
* 1 week

### **Endpoint**

<mark style="color:yellow;">**GET**</mark> <mark style="color:orange;">`https://api.dapplooker.com/v1/token-ta`</mark>

> #### 💡 Pro **Tips**&#x20;
>
> * This endpoint returns a maximum of 30 items per page. Use <mark style="color:orange;">`page`</mark> query parameter to navigate through results.
> * You can fetch data of tokens directly by specifying the <mark style="color:orange;">`chain`</mark> and <mark style="color:orange;">`ecosystem`</mark>—no need to pass individual token addresses, ids or tickers.
> * To retrieve data for specific token(s), use the <mark style="color:orange;">`token_addresses`</mark> , <mark style="color:orange;">`token_ids`</mark> or <mark style="color:orange;">`token_tickers`</mark> query parameter.
> * This endpoint is **x402 payment–enabled**, opening access for all users — simply **pay and use** without needing an API key.

### **Authentication**

This endpoint supports **two authentication methods**:

<table data-header-hidden><thead><tr><th width="254.30078125"></th><th></th></tr></thead><tbody><tr><td><strong>Method</strong></td><td><strong>Description</strong></td></tr><tr><td><strong>API Key</strong></td><td>Provide your Loky API key using the <mark style="color:orange;"><code>api_key</code></mark> parameter for authenticated access.</td></tr><tr><td><strong>x402 Payment Protocol</strong></td><td>If <mark style="color:orange;"><code>api_key</code></mark> is not provided, the request automatically uses the <a href="https://x402.gitbook.io/x402">x402 protocol</a> for on-chain payment verification.</td></tr></tbody></table>

For seamless integration, user can follow the [**x402 Quickstart Guide for Buyers**](https://x402.gitbook.io/x402/getting-started/quickstart-for-buyers).

### **Query Parameters**

<table data-header-hidden><thead><tr><th width="169.515625"></th><th width="85.98828125"></th><th width="161.1328125"></th><th></th></tr></thead><tbody><tr><td><strong>Parameter name</strong></td><td><strong>Type</strong></td><td><strong>Mandatory</strong></td><td><strong>Description</strong></td></tr><tr><td><mark style="color:orange;"><code>api_key</code></mark></td><td>string</td><td>No</td><td>Your unique Loky API key used for authentication</td></tr><tr><td><mark style="color:orange;"><code>chain</code></mark></td><td>string</td><td>Yes</td><td>The network chain to query. Supported chains: <mark style="color:orange;">base, solana</mark></td></tr><tr><td><mark style="color:orange;"><code>token_tickers</code></mark></td><td>string</td><td>No</td><td>Comma-separated token tickers (upto 30) to fetch info</td></tr><tr><td><mark style="color:orange;"><code>token_addresses</code></mark></td><td>string</td><td>No</td><td>Comma-separated token contract addresses (upto 30) to fetch info</td></tr><tr><td><mark style="color:orange;"><code>token_ids</code></mark></td><td>string</td><td>No</td><td>Comma-separated token IDs (upto 30) to fetch info</td></tr><tr><td><mark style="color:orange;"><code>ecosystem</code></mark></td><td>string</td><td>No</td><td>Specific ecosystem tokens to query. Supported ecosystem: <mark style="color:orange;">virtuals</mark></td></tr><tr><td><mark style="color:orange;"><code>page</code></mark></td><td>string</td><td>No, Default page 1</td><td>Page number, 30 items per page.</td></tr></tbody></table>

### **Sample Request**

{% code overflow="wrap" %}

```bash
# With Token Tickers
curl 'https://api.dapplooker.com/v1/token-ta?api_key=<API_KEY>&chain=base&token_tickers=rekt,aixbt'

# With Token Addresses
curl 'https://api.dapplooker.com/v1/token-ta?api_key=<API_KEY>&chain=base&token_addresses=0x8ee73c484a26e0a5df2ee2a4960b789967dd0415,0xb6fe221fe9eef5aba221c348ba20a1bf5e73624c'

# With Token IDs
curl 'https://api.dapplooker.com/v1/token-ta?api_key=<API_KEY>&chain=base&token_ids=toshi,loky-by-virtuals'

# With Pagination Enabled Ecosystem Filter
curl 'https://api.dapplooker.com/v1/token-ta?api_key=<API_KEY>&chain=base&ecosystem=virtuals&page=1'
```

{% endcode %}

### **Sample Response**

```json
{
  "success": true,
  "data": [
    {
      "token_id": "rocket-pool-eth",
      "technical_indicators": {
        "support_1m": "2482.2504055700",
        "support_5m": "2482.2504055700",
        "support_15m": "2186.7625403800",
        "support_1h": "2006.3699291000",
        "support_4h": "1997.9383161600",
        "support_1d": "1592.9319053000",
        "support_1w": "1592.9319053000",
        "resistance_1m": "2777.8986986200",
        "resistance_5m": "2777.8986986200",
        "resistance_15m": "2479.8577632300",
        "resistance_1h": "2777.8986986200",
        "resistance_4h": "2532.8991270800",
        "resistance_1d": "2366.9709832600",
        "resistance_1w": "4600.4667913500",
        "rsi_1m": "96.70",
        "rsi_5m": "63.73",
        "rsi_15m": "90.66",
        "rsi_1h": "79.20",
        "rsi_4h": "91.77",
        "rsi_1d": "51.89",
        "rsi_1w": "38.05",
        "sma_1m": "2537.2418392900",
        "sma_5m": "2551.4217197100",
        "sma_15m": "2304.9848997900",
        "sma_1h": "2250.7017950400",
        "sma_4h": "2107.2331628200",
        "sma_1d": "2003.2811133000",
        "sma_1w": "3122.2634952000"
      },
      "token_metrics": {
        "price_change_percentage_1m": "0.00000",
        "price_change_percentage_5m": "0.00000",
        "price_change_percentage_15m": "0.00000",
        "price_change_percentage_1h": "0.13",
        "price_change_percentage_4h": "0.23",
        "price_change_percentage_1d": "1.49",
        "price_change_percentage_1w": "17.71",
        "price_change_percentage_30d": "66.17"
      },
      "last_updated_at": "2025-05-09T09:41:30.274Z"
    },
    {
      "token_id": "curve-dao-token",
      "technical_indicators": {
        "support_1m": "0.7423880400",
        "support_5m": "0.7187418400",
        "support_15m": "0.6979526300",
        "support_1h": "0.6423880400",
        "support_4h": "0.6323670400",
        "support_1d": "0.4196362400",
        "support_1w": "0.7126320000",
        "resistance_1m": "0.7524482800",
        "resistance_5m": "0.7524482800",
        "resistance_15m": "0.7524482800",
        "resistance_1h": "0.7524482800",
        "resistance_4h": "0.7524482800",
        "resistance_1d": "0.7524482800",
        "resistance_1w": "0.7524482800",
        "rsi_1m": "69.24",
        "rsi_5m": "57.46",
        "rsi_15m": "52.77",
        "rsi_1h": "59.96",
        "rsi_4h": "59.11",
        "rsi_1d": "69.24",
        "rsi_1w": "69.24",
        "sma_1m": "0.7324293700",
        "sma_5m": "0.7324293700",
        "sma_15m": "0.7269406100",
        "sma_1h": "0.6934651900",
        "sma_4h": "0.6772013800",
        "sma_1d": "0.5707476900",
        "sma_1w": "0.7324293700"
      },
      "token_metrics": {
        "price_change_percentage_1m": "0.00000",
        "price_change_percentage_5m": "0.00000",
        "price_change_percentage_15m": "0.00000",
        "price_change_percentage_1h": "0.03",
        "price_change_percentage_4h": "0.00000",
        "price_change_percentage_1d": "4.78",
        "price_change_percentage_1w": "-6.18",
        "price_change_percentage_30d": "18.32"
      },
      "last_updated_at": "2025-05-09T09:49:13.248Z"
    }
  ]
}
```

### **Response Fields Explanation**

* <mark style="color:orange;">`token_id`</mark> *(string)*: Identifier of the token, typically matching the input (e.g., `rocket-pool-eth`).
* <mark style="color:orange;">`technical_indicators`</mark> *(object)*: Contains multi-interval technical analysis metrics for the token.
  * <mark style="color:orange;">`support_{interval}`</mark> *(string)*: Calculated support level for the specified time interval.
  * <mark style="color:orange;">`resistance_{interval}`</mark> *(string)*: Calculated resistance level for the specified time interval.
  * <mark style="color:orange;">`rsi_{interval}`</mark>*(string)*: Relative Strength Index (RSI), indicating momentum and overbought/oversold conditions for the interval.
  * <mark style="color:orange;">`sma_{interval}`</mark> *(string)*: Simple Moving Average (SMA), showing average price over the interval.
  * **Available intervals**:&#x20;
    * <mark style="color:orange;">`1m`</mark> = 1 minute
    * <mark style="color:orange;">`5m`</mark> = 5 minutes
    * <mark style="color:orange;">`15m`</mark> = 15 minutes
    * <mark style="color:orange;">`1h`</mark> = 1 hour
    * <mark style="color:orange;">`4h`</mark> = 4 hours
    * <mark style="color:orange;">`1d`</mark> = 1 day
    * <mark style="color:orange;">`1w`</mark> = 1 week
* <mark style="color:orange;">`token_metrics`</mark> *(object)*: Contains multi-interval market change metrics for the token.
  * <mark style="color:orange;">`price_change_percentage_{interval}`</mark> *(string)*: Price change percentage for specified time interval.
  * **Available intervals**:&#x20;
    * <mark style="color:orange;">`1m`</mark> = 1 minute
    * <mark style="color:orange;">`5m`</mark> = 5 minutes
    * <mark style="color:orange;">`15m`</mark> = 15 minutes
    * <mark style="color:orange;">`1h`</mark> = 1 hour
    * <mark style="color:orange;">`4h`</mark> = 4 hours
    * <mark style="color:orange;">`1d`</mark> = 1 day
    * <mark style="color:orange;">`1w`</mark> = 1 week
    * <mark style="color:orange;">`30d`</mark> = 30 days
* <mark style="color:orange;">`last_updated_at`</mark> *(string)*: ISO timestamp of the last data update.
